<?php
/**
 * 2018-2023 MXB Informatica.
 *
 * NOTICE OF LICENSE
 *
 * This source file is subject to the Academic Free License (AFL 3.0)
 * that is bundled with this package in the file LICENSE.txt.
 * It is also available through the world-wide-web at this URL:
 * http://opensource.org/licenses/afl-3.0.php
 * If you did not receive a copy of the license and are unable to
 * obtain it through the world-wide-web, please send an email
 * to info@mxbinformatica.it so we can send you a copy immediately.
 *
 * DISCLAIMER
 *
 * Do not edit or add to this file if you wish to upgrade PrestaShop to newer
 * versions in the future. If you wish to customize PrestaShop for your
 * needs please refer to http://www.prestashop.com for more information.
 *
 *  @author    MXB Informatica <info@mxbinformatica.it>
 *  @copyright 2013-2023 MXB Informatica
 *  @license   http://opensource.org/licenses/afl-3.0.php  Academic Free License (AFL 3.0)
 */

if (!defined('_PS_VERSION_')) {
    exit;
}

//require_once _PS_MODULE_DIR_.'mxb_tools/classes/Mxb_ToolsDebug.php';
/**
 * This function updates your module from previous versions to the version 1.0.1,
 * usefull when you modify your database, or register a new hook ...
 * Don't forget to create one file per version.
 */
function upgrade_module_1_0_1($module)
{
    /*
     * Do everything you want right there,
     * You could add a column in one of your module's tables
     */
     
    
    // update new files
    $module->installModuleFiles();
    
    // align old custom css file
    $filename_src = _PS_MODULE_DIR_.$module->name.DIRECTORY_SEPARATOR.'views'.DIRECTORY_SEPARATOR.'css'.DIRECTORY_SEPARATOR.'cookiebox-custom.css'; //.'css'.DIRECTORY_SEPARATOR;
    $filename_tgt = _PS_MODULE_DIR_.$module->name.DIRECTORY_SEPARATOR.'views'.DIRECTORY_SEPARATOR.'customcss'.DIRECTORY_SEPARATOR.'custom.css'; //.'css'.DIRECTORY_SEPARATOR;
    if (file_exists($filename_src))
        copy($filename_src, $filename_tgt);
    
    return true;
}
